/*
** Copyright (C) 2003-2006 Teus Benschop.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#ifndef INCLUDED_DIALOGSUBVERSIONSETUP_H
#define INCLUDED_DIALOGSUBVERSIONSETUP_H


#include <gtk/gtk.h>
#include "subversion.h"


class SubversionSetupDialog
{
public:
  SubversionSetupDialog (int dummy);
  ~SubversionSetupDialog ();
  int run ();
  bool projectchanged;
  unsigned int updatefrequency;
protected:
  GtkWidget *subversionsetupdialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *table1;
  GtkWidget *hseparator1;
  GtkWidget *vbox2;
  GtkWidget *vbox5;
  GtkWidget *radiobutton_internal;
  GtkWidget *radiobutton_external;
  GtkWidget *hbox17;
  GtkWidget *table2;
  GtkWidget *labelpassword;
  GtkWidget *labelusername;
  GtkWidget *entry_password;
  GtkWidget *entry_username;
  GtkWidget *label_path;
  GtkWidget *entry_path;
  GtkWidget *vbox3;
  GtkWidget *radiobutton2;
  GtkWidget *radiobutton3;
  GtkWidget *hseparator2;
  GtkWidget *label_repository_accessible_output;
  GtkWidget *image_repository_accessible_ok;
  GtkWidget *label_repository_accessible_done;
  GtkWidget *label_repository_accessible_info;
  GtkWidget *image_tasks_running_ok;
  GtkWidget *label_tasks_running_ok;
  GtkWidget *label_tasks_running_info;
  GtkWidget *hseparator3;
  GtkWidget *hseparator4;
  GtkWidget *vbox4;
  GtkWidget *label53;
  GtkWidget *radiobutton_conflict_me;
  GtkWidget *radiobutton_conflict_server;
  GtkWidget *radiobutton_conflict_prompt;
  GtkWidget *hseparator5;
  GtkWidget *hbox19;
  GtkWidget *label54;
  GtkObject *spinbutton_update_adj;
  GtkWidget *spinbutton_update;
  GtkWidget *label55;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton;
  GtkWidget *okbutton;
private:
  static void on_radiobutton_internal_external_toggled (GtkToggleButton *togglebutton, gpointer user_data);
  void on_radiobutton_internal_external ();
  static void on_entry_changed (GtkEditable *editable, gpointer user_data);
  void on_entry ();
  guint event_id_tasks_ready;
  guint event_id_gui;
  static bool delayer (gpointer user_data);
  void delayed ();
  void copy_project_to_repository ();
  void copy_repository_to_project ();
  void set_gui ();
  static bool tasks_counter_timeout (gpointer user_data);
  void tasks_counter ();
  int project_tasks_count;
  int previous_project_tasks_count;
  static void on_okbutton_clicked (GtkButton *button, gpointer user_data);
  void on_okbutton ();
  ustring newrepository ();
  bool repositorychanged ();
};


#endif
